#
# @(#)S518hkle	1.13 01/09/20 SMI
#
# Launch Desktop X Input Method Server for HKLE
# Locale: zh_HK.BIG5HK
#

if [ -x /usr/openwin/bin/htt -a -f /usr/lib/im/leif/hkle.so ]; then 

	if [ "_$hkledisablestatusarea" = "_true" ]; then
		: # disable status area on each window's bottom
		: # by setting "export hkledisablestatusarea=true"
		: # in $HOME/.dtprofile

		: # for Motif or others which use XIMStatusArea
		echo "*disableStatusArea: true" \
			| /usr/openwin/bin/xrdb -m
		: # for XView which use XIMStatusCallback
		echo "OpenWindows.ImStatusStyle: none" \
			| /usr/openwin/bin/xrdb -m
	fi

	/usr/openwin/bin/htt -if hkle -xim htt_xbe
	DISABLE_MULTI_SCRIPT_IM=true; export DISABLE_MULTI_SCRIPT_IM
	unset DTSTARTIMS
fi
